Page MenuHomePhabricator

meson: add Solaris support
ClosedPublic

Authored by vtorri on Jun 13 2020, 1:24 AM.

Details

Summary

Add Solaris support for meson

Test Plan

test on OpenIndiana

Diff Detail

Repository
rEFL core/efl
Branch
vtorri_sunos
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 17002
Build 11308: arc lint + arc unit
vtorri created this revision.Jun 13 2020, 1:24 AM
vtorri requested review of this revision.Jun 13 2020, 1:24 AM
raster accepted this revision.Jun 13 2020, 6:06 AM

looks harmless enough to me... but i won't commit/push this at this point. wait a bit.

This revision is now accepted and ready to land.Jun 13 2020, 6:06 AM
bu5hm4n requested changes to this revision.Jun 14 2020, 11:13 PM
bu5hm4n added a subscriber: bu5hm4n.
bu5hm4n added inline comments.
src/lib/eina/meson.build
11

that should be eina_deps not pub deps. (I think?)

This revision now requires changes to proceed.Jun 14 2020, 11:13 PM
vtorri updated this revision to Diff 30638.Jun 15 2020, 4:20 AM

move socket dep to eina_deps

vtorri updated this revision to Diff 30640.Jun 15 2020, 5:20 AM

sunos build : add mallinfo() check

vtorri updated this revision to Diff 30642.Jun 15 2020, 5:46 AM

pie is not supported by the solaris linker

It did not break anything for my local Linux build. CI had nothign to complain either: https://travis-ci.org/github/Enlightenment/efl/builds/698853314

Personally I do not really see a big benefit for having sun support here, but you are using it and you did the work. Its not to complicated to get added.
I just hope you (or someone else) is using it often enough to be worth the extra work. :-)

Looks good to me, but I would leave the final say here to @bu5hm4n

stefan_schmidt accepted this revision.Jun 16 2020, 2:57 AM
bu5hm4n requested changes to this revision.Jun 16 2020, 3:05 AM

Beside that little nitpick it seems fine to me.

meson.build
135

Can you add socket to the dependencies of the libs that require them, and not add the -l argument by hand ? That would then be more "meson" like. And also not add unneeded -l flags.

This revision now requires changes to proceed.Jun 16 2020, 3:05 AM
vtorri updated this revision to Diff 30659.Jun 16 2020, 12:43 PM

remove useless link flag

vtorri marked an inline comment as done.Jun 16 2020, 12:44 PM
vtorri added inline comments.
meson.build
135

it was actually useless, i already did that in the meson way

vtorri marked 2 inline comments as done.Jun 16 2020, 12:44 PM

@bu5hm4n wait a bit : it seems that mallinfo in libmalloc should not be used, i am waiting some confirmation

@bu5hm4n wait a bit : it seems that mallinfo in libmalloc should not be used, i am waiting some confirmation

It is fine, I'll need to improve the mallinfo implementation on the illumos side but this is not a blocker for this changeset.
Thank you :)

This revision was not accepted when it landed; it landed in state Needs Review.Jun 18 2020, 6:36 AM
Closed by commit rEFLf04316e3f039: meson: add Solaris support (authored by vtorri, committed by raster). · Explain Why
This revision was automatically updated to reflect the committed changes.